﻿@model BoE.WebSite.Areas.Admin.Models.ManageGameRoleModel
@{
    ViewBag.Title = "Admin | Manage InGame Role";
}

<h2>Grant admin right</h2>

@using (Html.BeginForm())
{ 
    @Html.ValidationSummary(true)
    @Html.HiddenFor(m => m.CharacterId)
    <fieldset>
        <legend>Change a ingame role</legend>
        <p> 
            You can make the player <b>@ViewBag.CharacterName</b> ingame admin or normal player. <br />
        </p>
        <div>
            <label>Servers: </label>
            @Html.DropDownListFor(m => m.GameServersId, new SelectList(ViewBag.GameServers, "GameServerId", "Name"), new { @class="select-2", multiple="" })
        </div>
        <div>
            <label>Role: </label>
            @Html.DropDownListFor(m => m.Role, new SelectList(new List<KeyValuePair<int, string>>() 
            {
                new KeyValuePair<int, string>(0, "Player"),
                new KeyValuePair<int, string>(1, "Admin")
            }, "Key", "Value"), new { @class = "select-2" })
        </div>
        <div>
            <input type="submit" value="Update roles" onclick="return confirm('Are you sure ?')" />
        </div>
    </fieldset>
}

<p>
    @Html.ActionLink("Go back", "Characters")
</p>